using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Forms.ElectronicSettlementCertificates
{
    public partial class EcSettlCertQuery : Form
    {
        private EcSettlCertMainForm mainForm;

        public EcSettlCertQuery()
        {
            InitializeComponent();
        }

        public EcSettlCertQuery(Form frm)
        {
            InitializeComponent();
            InitForm(frm);
        }




        private void InitForm(Form frm)
        {
            mainForm = (EcSettlCertMainForm)frm;
            CheckForIllegalCrossThreadCalls = false;
            // 禁用关闭按钮
            this.FormBorderStyle = FormBorderStyle.None;

            // 隐藏标题栏
            this.ControlBox = false;

            // 其他可能需要的配置
            this.TopLevel = false;
            this.Dock = DockStyle.Fill; // 根据需要设置 Dock 属性

        }
    }
}
